
Summary: EOS ALIAS IF switcher
Name: eos-alias
Version: 0.9
Release: 1%{?dist}
Source0: %{name}-%{version}.tar.gz
Group: Utilities
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Packager: vvm@jinr.ru
Vendor:   JINR
License: GPL
Requires: inotify-tools
BuildArch: noarch

%description
Switch EOS MGM alias IP to the current MGM Master

%changelog
* Thu Nov 24 2022 vvm@jinr.ru
- initial release

%prep
%setup -q

%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
mkdir -p $RPM_BUILD_ROOT/usr/lib/systemd/system
install -m 755 %{name} $RPM_BUILD_ROOT/%{_sbindir}/%{name}
install -m 644 %{name}.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install -m 644 %{name}.service  $RPM_BUILD_ROOT/usr/lib/systemd/system/%{name}.service

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 -eq 1 ] ; then
    # Initial installation
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi
#/bin/systemctl enable %{name} 2>/dev/null
#/bin/systemctl start %{name}

%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable %{name}.service 2>/dev/null
    /bin/systemctl stop %{name}.service 2>/dev/null
fi

%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart %{name}.service >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root)
%{_sbindir}/%{name}
%config(noreplace) /etc/sysconfig/%{name}
/usr/lib/systemd/system/%{name}.service

